Subject: Moving all parsing into the DB

From: [email-masked] (Michael Richardson)
Date: Thu, 6 May 1993 11:44:02 -0700

I've been working on a `Matrix' similar to the stuff that was on
KnownSpace via Cyberdeck's (only without need of the cyberdeck. That
is what your terminal is for :-)

  I need to build better matching, and from what I understand about
the way matching happens, I can't overide whether or not an item will
be matched on the player or room, since the huh verbs don't happen
until *after* server matching. 
  One solution is not to actually .contents, but rather user another
property. (And there are some potentially good reasons to do that.)
  My preferred solution is to take all the parsing into DB. Has anyone
done this already? Pavel, I know this was one of the plans, did you
ever write any code? 
  If someone has duplicated the current server verb processor in MOO
(with or without server mods), I would love to use it as a basis.
  Thanks.

p.s: someone asked about mud.el and clients. I can't imagine using MOO
*without* mud.el. I'm willing to maintain and merge changes that
anyone else may have made over the one found in on parcftp's contrib
directory. Mail them to [email-masked], or cheaper for me:
[email-masked]. 

-- 
   :!mcr!:            |  The postmaster never | So much mail, 
   Michael Richardson |    resolves twice.    |  so little time.
HOME: [email-masked]     Bell: (613) 798-0698
SCHOOL: [email-masked]